package tallerVehiculos;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.SwingUtilities;

@SuppressWarnings("serial")
public class Taller extends JFrame{
	
	public boolean usuarioLogueado;
	private Controlador controlador;
	
	public Taller() {
		setTitle("Talleres Fórmula 100");
		setJMenuBar(crearBarraMenu());
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setResizable(false);
		setLocationRelativeTo(null);
		setVisible(true);
		usuarioLogueado = false;
		controlador = new Controlador(this);
	}
	
	private JMenuBar crearBarraMenu() {
		JMenuBar barra = new JMenuBar();
		
		JMenu archivo = new JMenu("Archivo");
		JMenuItem cerrar = new JMenuItem("Cerrar Sesión");
		JMenuItem salir = new JMenuItem("Salir");
		salir.addActionListener(new AccionSalir());
		archivo.add(cerrar);
		archivo.add(salir);
		
		JMenu administracion = new JMenu("Administracion de Vehículos");
		JMenuItem agregar = new JMenuItem("Agregar Vehículo");
		JMenuItem editar = new JMenuItem("Editar Vehículo");
		JMenuItem estado = new JMenuItem("Admin. Estado del Vehículo");
		JMenuItem eliminar = new JMenuItem("Eliminar Vehículo");
		administracion.add(agregar);
		administracion.add(editar);
		administracion.add(estado);
		administracion.add(eliminar);
		
		JMenu informe = new JMenu("Informe de Vehículo");
		JMenuItem mantenimiento = new JMenuItem("Lista Vehículos mantenimiento");
		JMenuItem entregados = new JMenuItem("Lista Vehículos entregados");
		informe.add(mantenimiento);
		informe.add(entregados);
		
		barra.add(archivo);
		barra.add(administracion);
		barra.add(informe);
		
		return barra;
	}
	
	class AccionSalir implements ActionListener {
		@Override
		public void actionPerformed(ActionEvent e) {
			System.exit(0);
		}
	}

	public static void main(String[] args) {
		SwingUtilities.invokeLater(new Runnable() {
			@Override
			public void run() {
				new Taller();	
			}
		});
	}
}
